Typescript (SDK)
import { SyllableSDK } from "syllable-sdk";
const syllableSDK = new SyllableSDK({
apiKeyHeader: process.env["SYLLABLESDK_API_KEY_HEADER"] ?? "",
});
async function run() {
const result = await syllableSDK.channels.twilio.numbers.list({
channelId: 739627,
});
console.log(result);
}
run();import os
from syllable_sdk import SyllableSDK
with SyllableSDK(
api_key_header=os.getenv("SYLLABLESDK_API_KEY_HEADER", ""),
) as ss_client:
res = ss_client.channels.twilio.numbers.list(channel_id=739627)
# Handle response
print(res)curl --request GET \
--url https://api.syllable.cloud/api/v1/channels/twilio/{channel_id}/numbers \
--header 'Syllable-API-Key: <api-key>'const options = {method: 'GET', headers: {'Syllable-API-Key': '<api-key>'}};
fetch('https://api.syllable.cloud/api/v1/channels/twilio/{channel_id}/numbers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"phone_numbers": [
{
"sid": "<string>",
"phone_number": "<string>",
"friendly_name": "<string>",
"trunk_sid": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}channels.twilio.numbers
List Twilio Phone Numbers
List Twilio phone numbers.
GET
/
api
/
v1
/
channels
/
twilio
/
{channel_id}
/
numbers
Typescript (SDK)
import { SyllableSDK } from "syllable-sdk";
const syllableSDK = new SyllableSDK({
apiKeyHeader: process.env["SYLLABLESDK_API_KEY_HEADER"] ?? "",
});
async function run() {
const result = await syllableSDK.channels.twilio.numbers.list({
channelId: 739627,
});
console.log(result);
}
run();import os
from syllable_sdk import SyllableSDK
with SyllableSDK(
api_key_header=os.getenv("SYLLABLESDK_API_KEY_HEADER", ""),
) as ss_client:
res = ss_client.channels.twilio.numbers.list(channel_id=739627)
# Handle response
print(res)Authorizations
Path Parameters
Response
Successful Response
Response model for a list of Twilio phone numbers
List of phone numbers.
Show child attributes
Show child attributes
Example:
[
{
"friendly_name": "Test number",
"phone_number": "+19876543210",
"sid": "PN123",
"trunk_sid": "TK123"
}
]
⌘I

